Missing development files for the GeoIP library

准备再服务器上安装一个 goaccess 方便查看日志,

官方地址:https://github.com/allinurl/goaccess/

$ wget https://tar.goaccess.io/goaccess-1.3.tar.gz
$ tar -xzvf goaccess-1.3.tar.gz
$ cd goaccess-1.3/
$ ./configure --enable-utf8 --enable-geoip=legacy
$ make
# make install

会报错 Missing development files for the GeoIP library

原因是源码包方式安装需要安装一些依赖,

这个在官网下面也有提到,

简单的方式可以根据报错什么就安装什么或者提前都部署好。

安装 GeoIP 依赖:yum install -y GeoIP-devel

重新执行./configure --enable-utf8 --enable-geoip=legacy 进行编译

« »

发表评论

电子邮件地址不会被公开。 必填项已用*标注

昵称 *